Форум русскоязычного сообщества Ubuntu


Считаете, что Ubuntu недостаточно дружелюбна к новичкам?
Помогите создать новое Руководство для новичков!

Автор Тема: mysql с ключом e заставить показывать успешность выполнения.  (Прочитано 785 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн fill.sa

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
Всем привет.

Возник такой вопрос, выполняю обновление данных в базе командой mysql base -e 'update table бла бла'
но при таком запуске мускул не пишет успешно он обновил или нет, может есть какой-то доп ключ? или какие-то способы заставить показывать как если бы я обновлял данные зайдя в мускл и выполнив уже там команду?

Оффлайн agtrif

  • Любитель
  • *
  • Сообщений: 59
    • Просмотр профиля
mysql <<EOF
update table;
бла бла;
EOF

if [ $? -eq 0 ]; then
  echo "the script executed successfully"
else
  # ups....
  echo "something went wrong..."
  exit 1
fi

Оффлайн ALiEN175

  • Модератор форума
  • Старожил
  • *
  • Сообщений: 4893
  • Capture the truth
    • Просмотр профиля
mysql base -e 'update table бла бла' && echo 'OK' || echo 'FAIL'
ASUS P5K-C :: Intel Xeon E5450 :: 8 GB RAM :: Radeon R7 260X :: XFCE
SAMSUNG N150 :: Intel Atom N450 :: 2 GB RAM :: Intel GMA3150 :: XFCE

Оффлайн fill.sa

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
mysql base -e 'update table бла бла' && echo 'OK' || echo 'FAIL'

это по моему просто вернет успешное выполнение команды mysql, но не не успешное обновление данных в таблице.
А у меня из-за частых запросов в базу бывает не с первого раза обновляются данные, поэтому слежу за ответом об успешном изменении данных.

Оффлайн fill.sa

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
я пишу вот про эти ответы
Query OK, 1 row affected (0,02 sec)
Rows matched: 1  Changed: 1  Warnings: 0
Где видно, что было Changed: 1  Warnings: 0
Ибо бывает база не успевает отработать и Changed: 0

А вот при вызове mysql  с ключои -e данного ответа невидно.

Оффлайн fill.sa

  • Автор темы
  • Любитель
  • *
  • Сообщений: 94
    • Просмотр профиля
Вопрос все еще открыт.
Есть конечно вариант записывать значение и потом его считывать и сравнивать. Но как-то костыльненько.

 

Страница сгенерирована за 0.115 секунд. Запросов: 25.